#ifndef __LOADER_API_H__
#define __LOADER_API_H__

void LoadFile(int entryindex);
void LoadFileAt(int entryindex, void* addr);
void LoadFileRun(int entryindex, void* addr);

void SaveFile(int entryindex);
void SaveFileAt(int entryindex, void* addr);

/*
 * Redefine alternative charset symbols
 * to display 2x2 chars R/W activity indicator
 * in the bottom right corner
 * Params:
 * 
 *  mode: 0 = text (alt chars definitions start at $b900)
 *        1 = hires (alt chars definitions start at $9c00)
 * 
 *  offset: 0..76 offset in the alt charsdet table,
 *                2x2=4 consecutive characters are used
 * 
 *  ptr: pointer to 4x8=32 bytes array with character definitions
 * 
 */

void IndDefine(char mode, char offset, void* ptr);
void IndSet(char enable);

#define IndEnable()     IndSet(1)
#define IndDisable()    IndSet(0)


#endif /* __LOADER_API_H__ */
